#!/usr/bin/env python3
from cmk.gui.i18n import _
from cmk.gui.plugins.metrics import (
    metric_info,
    graph_info,
)

metric_info["hal_users_quota_used"] = {
    "title": _("HAL9001 User Quota Used"),
    "unit": "%",
    "color": "16/a",
}

metric_info["hal_storages_download_rate"] = {
    "title": _("HAL9001 Storage Download Rate"),
    "unit": "bytes/s",
    "color": "26/a",
}

metric_info["hal_storages_upload_rate"] = {
    "title": _("HAL9001 Storage Upload Rate"),
    "unit": "bytes/s",
    "color": "26/b",
}

graph_info["hal_storages_rate_combined"] = {
    "title": _("HAL9001 Storage Upload/Download Rate"),
    "metrics": [
        ("hal_storages_download_rate", "-area"),
        ("hal_storages_upload_rate", "area"),
    ],
}
