from cmk.gui.i18n import _
from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithItem,
    rulespec_registry,
    RulespecGroupCheckParametersApplications
)
from cmk.gui.valuespec import (
    Dictionary,
    ListChoice,
    TextAscii,
    Percentage,
    Tuple,
    Float,
    Integer
)

def _item_spec_hal9001_users():
    return TextAscii(
        title=_("HAL User ID")
    )

def _parameter_spec_hal9001_users():
    return Dictionary(
        elements=[
            ("levels_hal_users_quota_used", Tuple(
                title=_("hal9001 levels for quota usage of users"),
                    elements=[
                        Percentage(
                            title=_("Warning at"),
                            default_value=65.0,
                        ),
                        Percentage(
                            title=_("Critical at"),
                            default_value=85.0,
                        )
                    ],
            )),
        ],
    )

rulespec_registry.register(
    CheckParameterRulespecWithItem(
        check_group_name="hal9001_users_storage_levels",
        group=RulespecGroupCheckParametersApplications,
        match_type="dict",
        item_spec=_item_spec_hal9001_users,
        parameter_valuespec=_parameter_spec_hal9001_users,
        title=lambda: _("Levels for HAL9001 storage quota per user"),
    )
)